PHP ��U
前一頁 |  | 下一頁

# curl_exec

(PHP 4 >= 4.0.2, PHP 5)

curl_exec -- Perform a CURL session

## Description

mixed curl_exec ( resource ch )

This function should be called after you initialize a CURL session and all the options for the session are set. Its purpose is simply to execute the predefined CURL session (given by the ch).

## Return Values

�\�^��`TRUE`�Ѧ^��`FALSE`�C However, if the CURLOPT_RETURNTRANSFER option is set, it will return the result on success, `FALSE` on failure.

## �d��

範例 1. Initializing a new CURL session and fetching a webpage

`<?php // create a new curl resource $ch = curl_init(); // set URL and other appropriate options curl_setopt($ch, CURLOPT_URL, "http://www.example.com/"); curl_setopt($ch, CURLOPT_HEADER, 0); // grab URL and pass it to the browser curl_exec($ch); // close curl resource, and free up system resources curl_close($ch); ?>`

前一頁 | 內容 | 下一頁
curl_error | 上一層 | curl_getinfo